Bug 439309 - hostname ends up as localhost, despite dns resolution
hostname ends up as localhost, despite dns resolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-03-27 19:49 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 13:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-27 19:49:08 EDT
anaconda picked up the hostname of the machine I was installing from DNS. I
changed the setting from 'manual' to 'obtain from DNS', and when I rebooted the
installed system, the hostname ended up as 'localhost.localdomain'.
Comment 1 Jesse Keating 2008-04-03 15:42:20 EDT
So when I fill in the host name manually I keep that hostname upon reboot. Maybe
this is only when you're autofilled for the hostname via dhcp.  I'll try that
mode next.
Comment 2 Jesse Keating 2008-04-08 13:57:57 EDT
I've verified with multiple installs.  This no longer happens, the host name
gotten from dhcp during install remains the hostname upon boot, listed in
/etc/hosts.
Comment 3 Rex Dieter 2008-04-08 14:35:02 EDT
weird, I just updated a f9 box here, rebooted, hostname was still localhost.
Comment 4 Rex Dieter 2008-04-08 14:46:45 EDT
fwiw, /etc/sysconfig/network-scripts/efcfg-eth0 contained
DHCP_HOSTNAME=foo
correctly, but actual hostname wasn't set.
Comment 5 Jesse Keating 2008-04-08 15:04:30 EDT
That's odd.  However we're talking about new installs, not upgrades.

What's in your /etc/hosts/ file and /etc/sysconfig/network ?
Comment 6 Rex Dieter 2008-04-08 15:20:02 EDT
rats, /etc/sysconfig/network contained:
HOSTNAME=localhost.localdomain
thx!

Note You need to log in before you can comment on or make changes to this bug.